/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  fffl2fffu.c   SS Dec 97                                  */
/*                                                           */
/*************************************************************/

#include <math.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>


int main(argc,argv) 
int argc;
char *argv[];
{

   FILE *infile,*outfile;
   
   int i,j,k,xsize,ysize;

   int xys[3];
   int xyr[3];

   unsigned char d1[5]; 
   unsigned char d2[5]; 

   if (argc<4) {
      printf("Usage: %s filel.fff fileu.fff xsizei ysizei\n",argv[0]);
      exit(0);
   } /* if */

   if ((infile = fopen(argv[1],"rb")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   outfile = fopen(argv[2],"wb");

   xsize=atoi(argv[3]);
   ysize=atoi(argv[4]);

   xys[1]=xsize;
   xys[2]=ysize;

   fwrite(&xys[1],sizeof(int),2,outfile);

   fread(&xyr[1],sizeof(int),2,infile);

   for (i=0; i<ysize; i++) {
      for (j=0; j<xsize; j++) {

         fread(&d1[1],sizeof(unsigned char),4,infile);

	 for (k=1; k<=4; k++) {
	    d2[5-k]=d1[k];
	 } /* for k */

         fwrite(&d2[1],sizeof(unsigned char),4,outfile);

      } /* for j */
   } /* for i */

   fclose(outfile);
   fclose(infile);


} /* End  */
