  /********************************************************************/
  /*                                                                  */
  /*  External definitions for module FINDF.                          */
  /*  Find a file on a specified path.                                */
  /*                                                                  */
  /*  Copyright: 1985 Context Vision AB                               */
  /*                                                                  */
  /*  Entries in this module:                                         */
  /*                                                                  */
  /*      int fndif(fnm, pnm, ext, flgs)                              */
  /*              char *fnm, *pnm, *ext; int flgs;                    */
  /*          Scans a path to find a specified file.                  */
  /*                                                                  */
  /*      int fndof(fnm, pnm, ext, flgs)                              */
  /*             char *fnm, *pnm, *ext; int flgs;                     */
  /*          Creates a specified file on path.                       */
  /*                                                                  */
  /*------------------------------------------------------------------*/
  /*                                                                  */
  /* Both functions take the same set of parameters:                  */
  /*                                                                  */
  /*   fnm - Name of the file.                                        */
  /*   pnm - Name of the path, or NULL for no path.                   */
  /*   ext - extension to be used.                                    */
  /*   flgs - a binary word of flags to be ored together.             */
  /*          The following flags are available:                      */
  /*       FF_MSG - Type error message to standard error if file      */
  /*                is not found or can be created                    */
  /*       FF_TRP - Exit processes if an error occurs                 */
  /*       FF_FEX - Force the specified extension, even if the        */
  /*                filename already contains an extension            */
  /*       FF_BNM - Strip the directory specification from the        */
  /*                filename                                          */
  /*                                                                  */
  /********************************************************************/

#define FF_MSG 0x01
#define FF_TRP 0x02
#define FF_FEX 0x04
#define FF_BNM 0x08
#define FF_BLD 0x10
