/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  setgaussf.c  SS Sept 93, Dec 97                          */
/*                                                           */
/*************************************************************/

#include <math.h>
#include <stdio.h> 
#include <stdlib.h>
#include <unistd.h>

double pi=3.14159265358979323;

int main(argc,argv) 
int argc;
char *argv[];
{

   FILE *outfile;

   double x,y,z,pi,ny,fwhm;
   double a,c,gamma,forigx,forigy;

   int i,j,width,height,ksize;

   int xys[3];

   float fff[3];


   if (argc<3) {
      printf("Usage: %s image.fff sizei fwhmr\n",argv[0]);
      exit(0);
   } /* if */

   
   ksize=atoi(argv[2]);
   fwhm=atof(argv[3]);

   outfile=fopen(argv[1],"wb");

   xys[1]=ksize;
   xys[2]=ksize;


   fwrite(&xys[1],sizeof(int),2,outfile);


   width=ksize;
   height=ksize;

   forigx=(double)(width-1)/2.0;
   forigy=(double)(height-1)/2.0;


   gamma=4.0*log(2.0);

   a=gamma/(fwhm*fwhm);
   c=gamma/(fwhm*fwhm);


   for (i=0; i<width; i++) {
      for (j=0; j<height; j++) {

         x=(double)(i)-forigx;
         y=(double)(j)-forigy;

         fff[1]=(float)(32767.0*exp(-(a*x*x+c*y*y)));

	 fwrite(&fff[1],sizeof(float),1,outfile);
         

      } /* for j */
   } /* for i */  

   fclose(outfile);

} /* End */
